Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ScheduledWorkflowAction

All Superinterfaces:
  Document, Item, Localized, WCMApiObject, WorkflowAction

All Known Subinterfaces:
  CustomWorkflowAction, EmailAction, ExpireAction, PublishAction, ScheduledMoveAction

    public interface ScheduledWorkflowAction

extends WorkflowAction

Represents a workflow action that can be scheduled

A `ScheduledWorkflowAction` cannot be created, edited or deleted through the API. It must already exist in the repository.

See Also:
  `WorkflowAction`

Nested Class Summary
`static class` | `ScheduledWorkflowAction.DateType` The list of possible Scheduled action date types

Method Summary
`ScheduledWorkflowAction.DateType` | `getDateType()` Returns the `ScheduledWorkflowAction.DateType` of this `ScheduledWorkflowAction`
`java.util.Date` | `getExecuteDate(WorkflowedDocument p_document)` Return the date that this `ScheduleAction` will run against the specified `WorkflowedDocument`
`ScheduledWorkflowActionOffset` | `getOffset()` Returns the configured `ActionOffset` for this `ScheduledWorkflowAction`
`boolean` | `isDisabledIfExecuteDatePast()` Indicates if this `ScheduledWorkflowAction` will not run if the execution date is in the past
`boolean` | `isOffsetEnabled()` Indicates if this `ScheduledWorkflowAction` has a date offset specified

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getDateType

    ScheduledWorkflowAction.DateType getDateType()

  Returns the `ScheduledWorkflowAction.DateType` of this `ScheduledWorkflowAction`

  Returns:
    the `ScheduledWorkflowAction.DateType` of this `ScheduledWorkflowAction`

### isOffsetEnabled

    boolean isOffsetEnabled()

  Indicates if this `ScheduledWorkflowAction` has a date offset specified

  Returns:
    true if this `ScheduledWorkflowAction` has a date offset specified, false otherwise

### getOffset

    ScheduledWorkflowActionOffset getOffset()

  Returns the configured `ActionOffset` for this `ScheduledWorkflowAction`

  Returns:
    the configured `ActionOffset` for this `ScheduledWorkflowAction`

### isDisabledIfExecuteDatePast

    boolean isDisabledIfExecuteDatePast()

  Indicates if this `ScheduledWorkflowAction` will not run if the execution date is in the past

  Returns:
    true if this `ScheduledWorkflowAction` will not run if the execution date is in the past, false otherwise

### getExecuteDate

    java.util.Date getExecuteDate(WorkflowedDocument p_document)

  Return the date that this `ScheduleAction` will run against the specified `WorkflowedDocument`

  Parameters:
    `p_document` - the `WorkflowedDocument` that should be used to calculate the execution date
  Returns:
    the date that this `ScheduleAction` will run against the specified `WorkflowedDocument`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD